default:
  image: ubuntu:bionic
  before_script:
    - apt-get update
    - |
      apt-get install -y cmake \
                         build-essential \
                         ccache \
                         ninja-build \
                         clang-tidy \
                         clang-format


stages:
    - build
    - test
    - deploy

cmake:
  stage: build
  script:
   - mkdir build
   - cd build
   - cmake -GNinja ..
   - cmake --build . --clean-first
#  artifacts:
#    paths:
#        - build



